pcl::recognition::Hypothesis Class Reference

`#include <pcl/recognition/ransac_based/hypothesis.h>`

Inheritance diagram for pcl::recognition::Hypothesis:

## Public Member Functions

| Hypothesis (const ModelLibrary::Model *obj_model=NULL)
| Hypothesis (const Hypothesis &src)
virtual | ~Hypothesis ()
const Hypothesis & | operator= (const Hypothesis &src)
void | setLinearId (int id)
int | getLinearId () const
void | computeBounds (float bounds[6]) const
void | computeCenterOfMass (float center_of_mass[3]) const
Public Member Functions inherited from pcl::recognition::HypothesisBase
| HypothesisBase (const ModelLibrary::Model *obj_model)
| HypothesisBase (const ModelLibrary::Model *obj_model, const float *rigid_transform)
virtual | ~HypothesisBase ()
void | setModel (const ModelLibrary::Model *model)

## Public Attributes

float | match_confidence_
std::set< int > | explained_pixels_
int | linear_id_
Public Attributes inherited from pcl::recognition::HypothesisBase
float | rigid_transform_ [12]
const ModelLibrary::Model * | obj_model_

## Detailed Description

Definition at line 82 of file hypothesis.h.

## Constructor & Destructor Documentation

## Hypothesis() [1/2]

pcl::recognition::Hypothesis::Hypothesis | ( | const ModelLibrary::Model * | obj_model = `NULL` | ) |

inline

Definition at line 85 of file hypothesis.h.

## Hypothesis() [2/2]

pcl::recognition::Hypothesis::Hypothesis | ( | const Hypothesis & | src | ) |

inline

Definition at line 92 of file hypothesis.h.

## ~Hypothesis()

virtual pcl::recognition::Hypothesis::~Hypothesis | ( |  | ) |

inline virtual

Definition at line 99 of file hypothesis.h.

## Member Function Documentation

## computeBounds()

void pcl::recognition::Hypothesis::computeBounds | ( | float | bounds[6] | ) | const

inline

Definition at line 125 of file hypothesis.h.

References pcl::recognition::aux::expandBoundingBoxToContainPoint(), pcl::recognition::ModelLibrary::Model::getBoundsOfOctreePoints(), pcl::recognition::HypothesisBase::obj_model_, pcl::recognition::HypothesisBase::rigid_transform_, and pcl::recognition::aux::transform().

## computeCenterOfMass()

void pcl::recognition::Hypothesis::computeCenterOfMass | ( | float | center_of_mass[3] | ) | const

inline

Definition at line 147 of file hypothesis.h.

References pcl::recognition::ModelLibrary::Model::getOctreeCenterOfMass(), pcl::recognition::HypothesisBase::obj_model_, pcl::recognition::HypothesisBase::rigid_transform_, and pcl::recognition::aux::transform().

## getLinearId()

int pcl::recognition::Hypothesis::getLinearId | ( |  | ) | const

inline

Definition at line 119 of file hypothesis.h.

## operator=()

const Hypothesis& pcl::recognition::Hypothesis::operator= | ( | const Hypothesis & | src | ) |

inline

Definition at line 102 of file hypothesis.h.

References explained_pixels_, match_confidence_, pcl::recognition::HypothesisBase::obj_model_, and pcl::recognition::HypothesisBase::rigid_transform_.

## setLinearId()

void pcl::recognition::Hypothesis::setLinearId | ( | int | id | ) |

inline

Definition at line 113 of file hypothesis.h.

## Member Data Documentation

## explained_pixels_

std::set<int> pcl::recognition::Hypothesis::explained_pixels_

Definition at line 154 of file hypothesis.h.

Referenced by operator=().

## linear_id_

int pcl::recognition::Hypothesis::linear_id_

Definition at line 155 of file hypothesis.h.

## match_confidence_

float pcl::recognition::Hypothesis::match_confidence_

Definition at line 153 of file hypothesis.h.

Referenced by operator=().

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/recognition/include/pcl/recognition/ransac_based/hypothesis.h